# RPCNode.cpp File Reference

Internal Stuff for RPC Handling. More...

`#include "RPCNode.h"`
`#include <assert.h>`
`#include <string.h>`

## Functions

int | operator== (const RPCNode &left, const RPCNode &right)
int | operator> (const RPCNode &left, const RPCNode &right)
int | operator< (const RPCNode &left, const RPCNode &right)

## Detailed Description

Internal Stuff for RPC Handling.

This file is part of RakNet Copyright 2003, 2004 Rakkarsoft LLC and Kevin Jenkins.

Usage of Raknet is subject to the appropriate licence agreement. "Shareware" Licensees with Rakkarsoft LLC are subject to the shareware license found at http://www.rakkarsoft.com/shareWareLicense.html which you agreed to upon purchase of a "Shareware license" "Commercial" Licensees with Rakkarsoft LLC are subject to the commercial license found at http://www.rakkarsoft.com/sourceCodeLicense.html which you agreed to upon purchase of a "Commercial license" All other users are subject to the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Refer to the appropriate license agreement for distribution, modification, and warranty rights.

## Function Documentation

int operator< | ( | const RPCNode & | left,
|  | const RPCNode & | right
| ) |

Test if left is lesser than right.

Parameters:

  | left | An RPC node.
  | right | An RPC node.

Returns:
  true if left is lesser than right.

int operator== | ( | const RPCNode & | left,
|  | const RPCNode & | right
| ) |

Test if two RPCNode are equal.

Parameters:

  | left | An RPC node.
  | right | An RPC node.

Returns:
  true if equal false otherwise.

int operator> | ( | const RPCNode & | left,
|  | const RPCNode & | right
| ) |

Test if left is greater than right.

Parameters:

  | left | An RPC node.
  | right | An RPC node.

Returns:
  true if left is greater than right.